// src/plugin.cc - Copyright 2005, 2006, University
//               of Padova, dept. of Pure and Applied
//               Mathematics
//
// This file is part of SGPEMv2.
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// SGPEMv2 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with SGPEMv2; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#include "config.h"

#include <sgpemv2/plugin.hh>
#include "python_cpu_policy_manager.hh"

using namespace sgpem;

// Is this OK? If not, we must use a function with a local static variable...
PythonCPUPolicyManager* _policy_manager = NULL;

void
sgpem__Plugin__on_init()
{
  if (_policy_manager == NULL)
    _policy_manager = new sgpem::PythonCPUPolicyManager();
}

void
sgpem__Plugin__on_exit()
{
  delete _policy_manager;
  _policy_manager = NULL;
}

const char*
sgpem__Plugin__describe()
{
  return "This plugin manages policies written in the Python scripting language";
}

const char*
sgpem__Plugin__get_name()
{
  return "Pyloader";
}

const char*
sgpem__Plugin__get_author()
{
  return "Copyright 2005, 2006, University of Padova, dept. of Pure and Applied Mathematics";
}

float
sgpem__Plugin__get_version()
{
  return 1.0f;
}

